import { TableBody} from "@mui/material";
import { memo } from "react";
import { getComparator, stableSort } from "./helpers";
import UsersTasksRow from "./UsersTasksRow/UsersTasksRow";

function UsersTasksTableBody({ rows, page, rowsPerPage, order, orderBy, deleteTaskHandler, calendarOpen, deleteCopyTaskHandler }) {

  return (<>
    <TableBody>
      {stableSort(rows, getComparator(order, orderBy))
        .slice(page * rowsPerPage, page * rowsPerPage + rowsPerPage)
        .map((row, index) => {
          return (
            <UsersTasksRow
              key={row.id}
              deleteTaskHandler={deleteTaskHandler}
              row={row}
              deleteCopyTaskHandler={deleteCopyTaskHandler}
              calendarOpen={calendarOpen}
            />)
        })}
    </TableBody>
  </>);
}

export default memo(UsersTasksTableBody)